Bug 974631 - rootfs-resize sets incorrect value for start of root partition
rootfs-resize sets incorrect value for start of root partition
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rootfs-resize (Show other bugs)
19
arm Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Tyler
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker F19ARMBlocker
  Show dependency treegraph
 
Reported: 2013-06-14 12:45 EDT by Paul Whalen
Modified: 2015-02-17 10:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:34:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Whalen 2013-06-14 12:45:42 EDT
Description of problem:
Running repartition renders the system unbootable, setting the start of the root partition incorrectly. 

Version-Release number of selected component (if applicable):

rootfs-resize-2.0-2.fc19

How reproducible:

Everytime.

Steps to Reproduce:
1. yum install rootfs-resize 
2. touch /.rootfs-repartition
3. reboot the system.

Actual results:
System will fail to reboot. 


Expected results:
Booted system with increased root filesystem. 


Additional info:
Fdisk output prior to running rootfs-resize:

[root@localhost ~]# fdisk -l /dev/sda 

Disk /dev/sda: 60.0 GB, 60011640832 bytes, 117210236 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk label type: dos
Disk identifier: 0x00072610

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1            1953     1001953      500000+  83  Linux
/dev/sda2         1001954     2001953      500000   83  Linux
/dev/sda3         2001954    14697265     6347656   83  Linux

Fdisk output after running rootfs-resize-2.0-2.fc19:

Disk /dev/sdc: 60.0 GB, 60011642880 bytes, 117210240 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk label type: dos
Disk identifier: 0x00072610

   Device Boot      Start         End      Blocks   Id  System
/dev/sdc1            1953     1001953      500000+  83  Linux
/dev/sdc2         1001954     2001953      500000   83  Linux
/dev/sdc3        32901120    98703359    32901120   83  Linux
Comment 1 Hans de Goede 2013-07-31 05:17:57 EDT
Note, part of the problem here is that appliance-creator creates unaligned partitions, see bug 990469.
Comment 2 Fedora End Of Life 2015-01-09 13:26:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 10:34:59 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.